org.eclipse.viatra.query.runtime.matchers.tuple

## Class VolatileModifiableMaskedTuple

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple
  - - org.eclipse.viatra.query.runtime.matchers.tuple.VolatileTuple
    - - org.eclipse.viatra.query.runtime.matchers.tuple.VolatileMaskedTuple
      - - org.eclipse.viatra.query.runtime.matchers.tuple.VolatileModifiableMaskedTuple

- All Implemented Interfaces:
    IModifiableTuple, ITuple

      public class VolatileModifiableMaskedTuple
      extends VolatileMaskedTuple
      implements IModifiableTuple

  A masked tuple implementation that allows modifying the backing tuple.
  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.VolatileMaskedTuple

      `mask, source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VolatileModifiableMaskedTuple(IModifiableTuple source, TupleMask mask)`
    `VolatileModifiableMaskedTuple(TupleMask mask)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(int index, java.lang.Object value)` Sets the selected value for a tuple
    `void` | `updateTuple(IModifiableTuple newSource)`
    `void` | `updateTuple(ITuple newSource)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.VolatileMaskedTuple

      `get, getSize`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.VolatileTuple

      `equals, hashCode, toImmutable`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple

      `doCalcHash, getDistinctElements, getElements, internalEquals, invertIndex, invertIndexWithMupliplicity, raiseIndexingError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.tuple.ITuple

      `get, getDistinctElements, getElements, getSize, invertIndex, invertIndexWithMupliplicity, toImmutable`

- - ### Constructor Detail

    - #### VolatileModifiableMaskedTuple

          public VolatileModifiableMaskedTuple(IModifiableTuple source,
                                               TupleMask mask)

    - #### VolatileModifiableMaskedTuple

          public VolatileModifiableMaskedTuple(TupleMask mask)

  - ### Method Detail

    - #### updateTuple

          public void updateTuple(ITuple newSource)

      Overrides:
        `updateTuple` in class `VolatileMaskedTuple`

    - #### updateTuple

          public void updateTuple(IModifiableTuple newSource)

    - #### set

          public void set(int index,
                          java.lang.Object value)

      Description copied from interface: `IModifiableTuple`
      Sets the selected value for a tuple
      Specified by:
        `set` in interface `IModifiableTuple`